<?xml version="1.0" encoding="UTF-8"?>
<component id="mototaxis_rcrd">
    <type>RCRD</type>
    <title>DATOS mototaxiS</title>
    <width>1024</width>
    <height>500</height>
    <pbin>NO</pbin>
    <base_path>..</base_path>
    <clase>
     
        <table>sdm_mototaxis</table>
        <keys>i8_mototaxi_id</keys>
        <autoincrement>YES</autoincrement>
        <checked_field>c64_num_id</checked_field>
        <select_fields>i8_mototaxi_id,c64_num_id,c16_codigo_catastral_id,c8_cuenta_rct_id,c11_sector_id,c2_poligono_id,c2_block_id,i4_parcela,c2_zona_id,c2_barrio_id,c4_calle_id,c4_avenida_id,c2_pasaje_id,c2_senda_id,c4_casa,i2_tipo_sector_id,txt_comentario,txt_referencia,c16_estado,ts_in,ts_update</select_fields>
        <insert_fields>i8_mototaxi_id,c64_num_id,c16_codigo_catastral_id,c8_cuenta_rct_id,c11_sector_id,c2_poligono_id,c2_block_id,i4_parcela,c2_zona_id,c2_barrio_id,c4_calle_id,c4_avenida_id,c2_pasaje_id,c2_senda_id,c4_casa,i2_tipo_sector_id,txt_comentario,txt_referencia,ts_in</insert_fields>
        <update_fields>c64_num_id,c16_codigo_catastral_id,c8_cuenta_rct_id,c11_sector_id,c2_poligono_id,c2_block_id,i4_parcela,c2_zona_id,c2_barrio_id,c4_calle_id,c4_avenida_id,c2_pasaje_id,c2_senda_id,c4_casa,i2_tipo_sector_id,txt_comentario,txt_referencia</update_fields>
        <needed_fields>c11_sector_id,c4_casa,i4_parcela</needed_fields>
        <select_labels id="c11_sector_id">
            
            <table>sdm_sectores</table>
            <id_field>c11_sector_id</id_field>
            <fields>v64_sector</fields>
            <document_fields>v64_sector</document_fields>
        </select_labels>
        <select_labels id="i2_tipo_sector_id">
            
            <table>sdm_tipo_sectores</table>
            <id_field>i2_tipo_sector_id</id_field>
            <fields>v64_tipo_sector</fields>
            <document_fields>v64_tipo_sector</document_fields>
        </select_labels>
        <select_labels id="null"></select_labels>
        <associations>i8_mototaxi_id,poligono,block,barrio,zona,calle,avenida,pasaje,senda</associations>
        <association id="i8_mototaxi_id" type="soft">
         
            <header>Contribuyente</header>
            <table>sdd_mototaxi_contribuyentes</table>
            <keys>i8_mototaxi_id</keys>
            <insert_fields>i8_contribuyente_id,i2_tipo_contribuyente_id,dt_desde,ts_in</insert_fields>
            <delete_fields>i8_contribuyente_id,i2_tipo_contribuyente_id,dt_desde</delete_fields>
            <filters>
                <fields>i2_tipo_contribuyente_id</fields>
                <values>1</values>
            </filters>
            <fields>i8_contribuyente_id,i2_tipo_contribuyente_id,dt_desde</fields>
            <document_fields>i8_contribuyente_id,i2_tipo_contribuyente_id,dt_desde</document_fields>
            <select_labels id="i8_contribuyente_id">
                
                <table>sdm_contribuyentes</table>
                <id_field>i8_contribuyente_id</id_field>
                <fields>i8_contribuyente_id,v128_contribuyente,v64_nombres,v64_apellidos,c1_tipo_persona_id,c14_nit_id,c11_dui_id</fields>
                <document_fields>i8_contribuyente_id,v128_contribuyente,v64_nombres,v64_apellidos,c1_tipo_persona_id,c14_nit_id,c11_dui_id</document_fields>
            </select_labels>
            <select_labels id="null"></select_labels>
        </association>
        <association id="poligono" type="hard">
         
            <header>Poligono</header>
            <table>sdd_sector_poligonos</table>
            <keys>c11_sector_id</keys>
            <filters>
                <fields>c2_poligono_id</fields>
            </filters>
            <fields>v64_poligono</fields>
            <document_fields>v64_poligono</document_fields>
            <select_labels id="null"></select_labels>
        </association>
        <association id="block" type="hard">
         
            <header>Block</header>
            <table>sdd_sector_blocks</table>
            <keys>c11_sector_id</keys>
            <filters>
                <fields>c2_block_id</fields>
            </filters>
            <fields>v64_block</fields>
            <document_fields>v64_block</document_fields>
            <select_labels id="null"></select_labels>
        </association>
        <association id="barrio" type="hard">
         
            <header>Sector</header>
            <table>sdd_sector_barrios</table>
            <keys>c11_sector_id</keys>
            <filters>
                <fields>c2_barrio_id</fields>
            </filters>
            <fields>v64_barrio</fields>
            <document_fields>v64_barrio</document_fields>
            <select_labels id="null"></select_labels>
        </association>
        <association id="zona" type="hard">
         
            <header>Zona</header>
            <table>sdd_sector_zonas</table>
            <keys>c11_sector_id</keys>
            <filters>
                <fields>c2_zona_id</fields>
            </filters>
            <fields>v64_zona</fields>
            <document_fields>v64_zona</document_fields>
            <select_labels id="null"></select_labels>
        </association>
        <association id="calle" type="hard">
         
            <header>Calle</header>
            <table>sdd_sector_calles</table>
            <keys>c11_sector_id</keys>
            <filters>
                <fields>c4_calle_id</fields>
            </filters>
            <fields>v64_calle</fields>
            <document_fields>v64_calle</document_fields>
            <select_labels id="null"></select_labels>
        </association>
        <association id="avenida" type="hard">
         
            <header>Avenida</header>
            <table>sdd_sector_avenidas</table>
            <keys>c11_sector_id</keys>
            <filters>
                <fields>c4_avenida_id</fields>
            </filters>
            <fields>v64_avenida</fields>
            <document_fields>v64_avenida</document_fields>
            <select_labels id="null"></select_labels>
        </association>
        <association id="pasaje" type="hard">
         
            <header>Pasaje</header>
            <table>sdd_sector_pasajes</table>
            <keys>c11_sector_id</keys>
            <filters>
                <fields>c2_pasaje_id</fields>
            </filters>
            <fields>v64_pasaje</fields>
            <document_fields>v64_pasaje</document_fields>
            <select_labels id="null"></select_labels>
        </association>
        <association id="senda" type="hard">
         
            <header>Senda</header>
            <table>sdd_sector_sendas</table>
            <keys>c11_sector_id</keys>
            <filters>
                <fields>c2_senda_id</fields>
            </filters>
            <fields>v64_senda</fields>
            <document_fields>v64_senda</document_fields>
            <select_labels id="null"></select_labels>
        </association>        
        <association id="null"></association>
    </clase>
    <elements>NO</elements>
    <element id ="null"></element>
</component>